package com.yd.dal.entity.agms.hiring;

import java.util.Date;

/**
 * @author xxy
 */
public class PractitionerHiringApproveRecords {

    /**
     * 审批步骤id
     */
    private Long approveStepId;

    /**
     * 审批步骤名称
     */
    private String approveStepName;
    /**
     * 执行动作的审批经纪人Id
     */
    private Long approvingPractitionerId;
    /**
     * 执行动作的审批经纪人
     */
    private String approvingPractitionerName;
    /**
     * 1：通过，0：驳回
     */
    private Long approvingStatusId;
    /**
     * 1：通过，0：驳回
     */
    private String approvingStatus;

    /**
     * 面试评价
     */
    private String interviewAssessment;

    /**
     * 备注，驳回原因
     */
    private String rejectNote;

    /**
     * 审批时间
     */
    private String hiringAt;

    /**
     * 获取 审批步骤id
     *
     * @return approveStepId 审批步骤id
     */
    public Long getApproveStepId() {
        return this.approveStepId;
    }

    /**
     * 设置 审批步骤id
     *
     * @param approveStepId 审批步骤id
     */
    public void setApproveStepId(Long approveStepId) {
        this.approveStepId = approveStepId;
    }

    /**
     * 获取 审批步骤名称
     *
     * @return approveStepName 审批步骤名称
     */
    public String getApproveStepName() {
        return this.approveStepName;
    }

    /**
     * 设置 审批步骤名称
     *
     * @param approveStepName 审批步骤名称
     */
    public void setApproveStepName(String approveStepName) {
        this.approveStepName = approveStepName;
    }

    /**
     * 获取 执行动作的审批经纪人Id
     *
     * @return approvingPractitionerId 执行动作的审批经纪人Id
     */
    public Long getApprovingPractitionerId() {
        return this.approvingPractitionerId;
    }

    /**
     * 设置 执行动作的审批经纪人Id
     *
     * @param approvingPractitionerId 执行动作的审批经纪人Id
     */
    public void setApprovingPractitionerId(Long approvingPractitionerId) {
        this.approvingPractitionerId = approvingPractitionerId;
    }

    /**
     * 获取 执行动作的审批经纪人
     *
     * @return approvingPractitionerName 执行动作的审批经纪人
     */
    public String getApprovingPractitionerName() {
        return this.approvingPractitionerName;
    }

    /**
     * 设置 执行动作的审批经纪人
     *
     * @param approvingPractitionerName 执行动作的审批经纪人
     */
    public void setApprovingPractitionerName(String approvingPractitionerName) {
        this.approvingPractitionerName = approvingPractitionerName;
    }

    /**
     * 获取 1：通过，0：驳回
     *
     * @return approvingStatusId 1：通过，0：驳回
     */
    public Long getApprovingStatusId() {
        return this.approvingStatusId;
    }

    /**
     * 设置 1：通过，0：驳回
     *
     * @param approvingStatusId 1：通过，0：驳回
     */
    public void setApprovingStatusId(Long approvingStatusId) {
        this.approvingStatusId = approvingStatusId;
    }

    /**
     * 获取 1：通过，0：驳回
     *
     * @return approvingStatus 1：通过，0：驳回
     */
    public String getApprovingStatus() {
        return this.approvingStatus;
    }

    /**
     * 设置 1：通过，0：驳回
     *
     * @param approvingStatus 1：通过，0：驳回
     */
    public void setApprovingStatus(String approvingStatus) {
        this.approvingStatus = approvingStatus;
    }

    /**
     * 获取 备注，驳回原因
     *
     * @return rejectNote 备注，驳回原因
     */
    public String getRejectNote() {
        return this.rejectNote;
    }

    /**
     * 设置 备注，驳回原因
     *
     * @param rejectNote 备注，驳回原因
     */
    public void setRejectNote(String rejectNote) {
        this.rejectNote = rejectNote;
    }

    /**
     * 获取 审批时间
     *
     * @return hiringAt 审批时间
     */
    public String getHiringAt() {
        return this.hiringAt;
    }

    /**
     * 设置 审批时间
     *
     * @param hiringAt 审批时间
     */
    public void setHiringAt(String hiringAt) {
        this.hiringAt = hiringAt;
    }

    @Override
    public String toString() {
        return "PractitionerHiringApproveRecords{" +
                "approveStepId=" + approveStepId +
                ", approveStepName='" + approveStepName + '\'' +
                ", approvingPractitionerId=" + approvingPractitionerId +
                ", approvingPractitionerName='" + approvingPractitionerName + '\'' +
                ", approvingStatusId=" + approvingStatusId +
                ", approvingStatus='" + approvingStatus + '\'' +
                ", rejectNote='" + rejectNote + '\'' +
                ", hiringAt='" + hiringAt + '\'' +
                '}';
    }

    public String getInterviewAssessment() {
        return interviewAssessment;
    }

    public void setInterviewAssessment(String interviewAssessment) {
        this.interviewAssessment = interviewAssessment;
    }
}
